"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const level_1 = require("../logger/level");
class LevelUtils {
    static getLevel(name) {
        const key = name.charAt(0).toUpperCase() + name.slice(1).toLowerCase();
        const level = level_1.Level[key];
        if (level === undefined) {
            return LevelUtils.defaultLevel;
        }
        return level;
    }
    static getName(level) {
        return level_1.Level[level].toLowerCase();
    }
    static isLevelEnabled(threshold, level) {
        if (level <= level_1.Level.Off)
            return false;
        return level <= threshold;
    }
}
LevelUtils.defaultLevel = level_1.Level.Info;
exports.default = LevelUtils;
//# sourceMappingURL=levelUtils.js.map