import { LoggerProvider } from '@opentelemetry/api-logs';
import { OutputPlugin } from './interfaces';
import { Record } from '../logger/record';
export declare class OpenTelemetryLogsOutputPlugin implements OutputPlugin {
    private logger;
    private includeFieldsAsAttributes;
    constructor(loggerProvider?: LoggerProvider);
    setIncludeFieldsAsAttributes(includeFieldsAsAttributes: FieldInclusionMode): void;
    writeRecord(record: Record): void;
    private mapLevelToSeverityNumber;
    private populateExceptionAttributes;
    private populateAdditionalAttributes;
}
export declare enum FieldInclusionMode {
    AllFields = "all",
    CustomFieldsOnly = "custom-fields",
    None = "none"
}
